#include <__CH5_MusicNotes.h>
#include <Adafruit_NeoPixel.h>
const int ringLEDs = 24, pinDriver = 0;
Adafruit_NeoPixel ring = Adafruit_NeoPixel(ringLEDs, pinDriver);
unsigned long red = ring.Color(255, 0, 0), green = ring.Color(0, 255, 0);
unsigned long black = ring.Color(0, 0, 0), LED_Color;
unsigned char randomColor;
#include <SlowSoftWire.h>
#include "DFRobot_BMP280.h"
DFRobot_BMP280 bmp;
const int th = 35, speaker = 11; // = buttonB;

void setup()
{
  ring.begin();              
  ring.setBrightness(16);    
  randomSeed(analogRead(0)); 
  bmp.begin();
  Serial.begin(9600);
  delay(1000);
  pinMode(speaker, INPUT);
}
void loop()
{
 float pREF, pCURRENT;
  pREF = bmp.readPressureValue(); 
  while(1){
    randomColor = random(1,3);
    if (randomColor==1) ringColor(green);
    else ringColor(red);
    delay(100); // comment for a faster alternation of R/G colors
    pCURRENT = bmp.readPressureValue(); 
    Serial.println(pCURRENT); 
    if ((pREF-pCURRENT)>th) {
      pREF=pCURRENT;
      LED_Color = ring.getPixelColor(1);
      MakeSomeNoise(LED_Color);
      delay(1000);
      ringColor(black);
      }
    if ((pCURRENT-pREF)>th ) pREF=pCURRENT; // restore initial condition
  }
}

// Functions 
void ringColor (unsigned long color) {
  for (int k = 0; k < ringLEDs; k++) {
  ring.setPixelColor(k, color);
  ring.show();  
  }
}

void MakeSomeNoise (unsigned long color) {
 unsigned long identifyColor = color;  
  Serial.println(color,HEX); 
  pinMode(speaker, OUTPUT);
  for (int i=0;i<100;i++) {
    digitalWrite(speaker, HIGH);
    if(identifyColor &= 0x00FF00) delayMicroseconds(C5); // sound on green
    else delayMicroseconds(C4); // sound on red
    digitalWrite(speaker, LOW);
    if(identifyColor &= 0x00FF00) delayMicroseconds(C5);
    else delayMicroseconds(C4);
  }
  for (int i=0;i<100;i++) {
    digitalWrite(speaker, HIGH);
    if(identifyColor &= 0x00FF00) delayMicroseconds(G5);
    else delayMicroseconds(C4);
    digitalWrite(speaker, LOW);
    if(identifyColor &= 0x00FF00) delayMicroseconds(G5);
    else delayMicroseconds(C4);
  }
  pinMode(speaker, INPUT);   
}
